#ifndef __OSP_CFGFILE_H__
#define __OSP_CFGFILE_H__

#include "osp_type_def.h"

#define APE_CFG_FILE_NAME_LEN   (64)
#define APE_CFG_FILE_NUM        (64)

#define OSP_CFG_FLAG_START  (0xB0B0B0B0)    /* ĬFlagʾȴļ */
#define OSP_CFG_PHY_ADDR    (0x10400000)    /* ڴ滮 */

typedef struct tag_osp_file_reg{
    char name[APE_CFG_FILE_NAME_LEN];
    uint32_t phy_addr;
    uint32_t len;
}osp_file_reg;

extern int osp_get_cfgfile(char* name, uint32_t *pbuf, int* psize);
extern int osp_cfgfile_init(void);
extern void osp_cfgfile_rev(osp_file_reg *head, int num);
extern int osp_cfgfile_read();

#endif

