// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ape0_recv_task.s.c
// Author        : 
// Created On    : 2022-10-24
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------
#include "ucp_utility.h"
#include "msg_transfer_layer.h"
#include "phy_para.h"
#include "ucp_tick.h"
#include "ucp_testcase.h"
#include "spu_log.h"
#include "osp_msg.h"
#include "ucp_printf.h"

#define TEST_PORT_ID    (0)
typedef struct SPU_SW_MSG_INFO
{
    uint32_t u32DataLen;
    uint32_t u32PktType;
    uint32_t u32CoreId;    
    uint32_t u32MsgType;
}spu1_info_t;


void ape1_log_send_task()
{
    char  abuf2[256]   = "ape1:ape1_log_send_task test12test67\n";
    spu1_info_t sttest;
    
    sttest.u32DataLen  = 0xaabbccdd;
    sttest.u32PktType  = 0x01020304;
    sttest.u32CoreId   = 0x05060708;
    sttest.u32MsgType  = 0x090a0b0c;

    delay_us(50);

    spu_log_output(0, abuf2);
    osp_sendLog(0, abuf2, strlen(abuf2), 0);
    osp_sendLog_print(0, (char *)&sttest, sizeof(spu1_info_t), 0);

    return;
}
